import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BigqueryDatasetIamMemberConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: BigqueryDatasetIamMemberCondition[];
}
export interface BigqueryDatasetIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BigqueryDatasetIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: BigqueryDatasetIamMemberConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): BigqueryDatasetIamMemberCondition[] | undefined;
    set condition(value: BigqueryDatasetIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
