import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BigqueryTableIamPolicyConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly policyData: string;
    readonly project?: string;
    readonly tableId: string;
}
export declare class BigqueryTableIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: BigqueryTableIamPolicyConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _tableId;
    get tableId(): string;
    set tableId(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
