import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BillingAccountIamPolicyConfig extends TerraformMetaArguments {
    readonly billingAccountId: string;
    readonly policyData: string;
}
export declare class BillingAccountIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: BillingAccountIamPolicyConfig);
    private _billingAccountId;
    get billingAccountId(): string;
    set billingAccountId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
