import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeImageIamPolicyConfig extends TerraformMetaArguments {
    readonly image: string;
    readonly policyData: string;
    readonly project?: string;
}
export declare class ComputeImageIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeImageIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _image;
    get image(): string;
    set image(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
