import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeInstanceIamPolicyConfig extends TerraformMetaArguments {
    readonly instanceName: string;
    readonly policyData: string;
    readonly project?: string;
    readonly zone?: string;
}
export declare class ComputeInstanceIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeInstanceIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instanceName;
    get instanceName(): string;
    set instanceName(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
