import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeRegionDiskIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly name: string;
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: ComputeRegionDiskIamBindingCondition[];
}
export interface ComputeRegionDiskIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class ComputeRegionDiskIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeRegionDiskIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): ComputeRegionDiskIamBindingCondition[] | undefined;
    set condition(value: ComputeRegionDiskIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
