import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeRegionDiskIamPolicyConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly policyData: string;
    readonly project?: string;
    readonly region?: string;
}
export declare class ComputeRegionDiskIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeRegionDiskIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
