import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeSubnetworkIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project?: string;
    readonly region?: string;
    readonly subnetwork: string;
}
export declare class ComputeSubnetworkIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeSubnetworkIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _subnetwork;
    get subnetwork(): string;
    set subnetwork(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
