import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataCatalogEntryGroupIamMemberConfig extends TerraformMetaArguments {
    readonly entryGroup: string;
    readonly member: string;
    readonly project?: string;
    readonly region?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: DataCatalogEntryGroupIamMemberCondition[];
}
export interface DataCatalogEntryGroupIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class DataCatalogEntryGroupIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: DataCatalogEntryGroupIamMemberConfig);
    private _entryGroup;
    get entryGroup(): string;
    set entryGroup(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): DataCatalogEntryGroupIamMemberCondition[] | undefined;
    set condition(value: DataCatalogEntryGroupIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
