import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleBigqueryDefaultServiceAccountConfig extends TerraformMetaArguments {
    readonly project?: string;
}
export declare class DataGoogleBigqueryDefaultServiceAccount extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleBigqueryDefaultServiceAccountConfig);
    get email(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
