import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleBillingAccountConfig extends TerraformMetaArguments {
    readonly billingAccount?: string;
    readonly displayName?: string;
    readonly open?: boolean;
}
export declare class DataGoogleBillingAccount extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleBillingAccountConfig);
    private _billingAccount?;
    get billingAccount(): string | undefined;
    set billingAccount(value: string | undefined);
    private _displayName?;
    get displayName(): string | undefined;
    set displayName(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _open?;
    get open(): boolean | undefined;
    set open(value: boolean | undefined);
    get projectIds(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
