import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleClientOpenidUserinfoConfig extends TerraformMetaArguments {
}
export declare class DataGoogleClientOpenidUserinfo extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleClientOpenidUserinfoConfig);
    get email(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
