import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleComputeAddressConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly project?: string;
    readonly region?: string;
}
export declare class DataGoogleComputeAddress extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleComputeAddressConfig);
    get address(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    get selfLink(): string;
    get status(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
