import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleComputeDefaultServiceAccountConfig extends TerraformMetaArguments {
    readonly project?: string;
}
export declare class DataGoogleComputeDefaultServiceAccount extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComputeDefaultServiceAccountConfig);
    get displayName(): string;
    get email(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get uniqueId(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
