import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleComputeRegionInstanceGroupConfig extends TerraformMetaArguments {
    readonly name?: string;
    readonly project?: string;
    readonly region?: string;
    readonly selfLink?: string;
}
export declare class DataGoogleComputeRegionInstanceGroupInstancesNamedPorts extends ComplexComputedList {
    get name(): string;
    get port(): number;
}
export declare class DataGoogleComputeRegionInstanceGroupInstances extends ComplexComputedList {
    get instance(): string;
    get namedPorts(): any;
    get status(): string;
}
export declare class DataGoogleComputeRegionInstanceGroup extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComputeRegionInstanceGroupConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    instances(index: string): DataGoogleComputeRegionInstanceGroupInstances;
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _selfLink?;
    get selfLink(): string | undefined;
    set selfLink(value: string | undefined);
    get size(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
