import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleComputeSubnetworkConfig extends TerraformMetaArguments {
    readonly name?: string;
    readonly project?: string;
    readonly region?: string;
    readonly selfLink?: string;
}
export declare class DataGoogleComputeSubnetworkSecondaryIpRange extends ComplexComputedList {
    get ipCidrRange(): string;
    get rangeName(): string;
}
export declare class DataGoogleComputeSubnetwork extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComputeSubnetworkConfig);
    get description(): string;
    get gatewayAddress(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get ipCidrRange(): string;
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    get network(): string;
    get privateIpGoogleAccess(): boolean;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    secondaryIpRange(index: string): DataGoogleComputeSubnetworkSecondaryIpRange;
    private _selfLink?;
    get selfLink(): string | undefined;
    set selfLink(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
