import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleComputeZonesConfig extends TerraformMetaArguments {
    readonly project?: string;
    readonly region?: string;
    readonly status?: string;
}
export declare class DataGoogleComputeZones extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComputeZonesConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get names(): string[];
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _status?;
    get status(): string | undefined;
    set status(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
