import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleContainerRegistryRepositoryConfig extends TerraformMetaArguments {
    readonly project?: string;
    readonly region?: string;
}
export declare class DataGoogleContainerRegistryRepository extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleContainerRegistryRepositoryConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    get repositoryUrl(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
