import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleIamRoleConfig extends TerraformMetaArguments {
    readonly name: string;
}
export declare class DataGoogleIamRole extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleIamRoleConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get includedPermissions(): string[];
    private _name;
    get name(): string;
    set name(value: string);
    get stage(): string;
    get title(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
