import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleMonitoringUptimeCheckIpsConfig extends TerraformMetaArguments {
}
export declare class DataGoogleMonitoringUptimeCheckIpsUptimeCheckIps extends ComplexComputedList {
    get ipAddress(): string;
    get location(): string;
    get region(): string;
}
export declare class DataGoogleMonitoringUptimeCheckIps extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleMonitoringUptimeCheckIpsConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    uptimeCheckIps(index: string): DataGoogleMonitoringUptimeCheckIpsUptimeCheckIps;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
