import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleNetblockIpRangesConfig extends TerraformMetaArguments {
    readonly rangeType?: string;
}
export declare class DataGoogleNetblockIpRanges extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleNetblockIpRangesConfig);
    get cidrBlocks(): string[];
    get cidrBlocksIpv4(): string[];
    get cidrBlocksIpv6(): string[];
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _rangeType?;
    get rangeType(): string | undefined;
    set rangeType(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
