import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleOrganizationConfig extends TerraformMetaArguments {
    readonly domain?: string;
    readonly organization?: string;
}
export declare class DataGoogleOrganization extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleOrganizationConfig);
    get createTime(): string;
    get directoryCustomerId(): string;
    private _domain?;
    get domain(): string | undefined;
    set domain(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get lifecycleState(): string;
    get name(): string;
    get orgId(): string;
    private _organization?;
    get organization(): string | undefined;
    set organization(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
