import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleProjectsConfig extends TerraformMetaArguments {
    readonly filter: string;
}
export declare class DataGoogleProjectsProjects extends ComplexComputedList {
    get projectId(): string;
}
export declare class DataGoogleProjects extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleProjectsConfig);
    private _filter;
    get filter(): string;
    set filter(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    projects(index: string): DataGoogleProjectsProjects;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
