import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleServiceAccountIdTokenConfig extends TerraformMetaArguments {
    readonly delegates?: string[];
    readonly includeEmail?: boolean;
    readonly targetAudience: string;
    readonly targetServiceAccount?: string;
}
export declare class DataGoogleServiceAccountIdToken extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleServiceAccountIdTokenConfig);
    private _delegates?;
    get delegates(): string[] | undefined;
    set delegates(value: string[] | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get idToken(): string;
    private _includeEmail?;
    get includeEmail(): boolean | undefined;
    set includeEmail(value: boolean | undefined);
    private _targetAudience;
    get targetAudience(): string;
    set targetAudience(value: string);
    private _targetServiceAccount?;
    get targetServiceAccount(): string | undefined;
    set targetServiceAccount(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
