import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataprocClusterIamPolicyConfig extends TerraformMetaArguments {
    readonly cluster: string;
    readonly policyData: string;
    readonly project?: string;
    readonly region?: string;
}
export declare class DataprocClusterIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: DataprocClusterIamPolicyConfig);
    private _cluster;
    get cluster(): string;
    set cluster(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
