import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface EndpointsServiceIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly role: string;
    readonly serviceName: string;
    /** condition block */
    readonly condition?: EndpointsServiceIamBindingCondition[];
}
export interface EndpointsServiceIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class EndpointsServiceIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: EndpointsServiceIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _role;
    get role(): string;
    set role(value: string);
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    private _condition?;
    get condition(): EndpointsServiceIamBindingCondition[] | undefined;
    set condition(value: EndpointsServiceIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
