import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface EndpointsServiceIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly serviceName: string;
}
export declare class EndpointsServiceIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: EndpointsServiceIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
