import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareDatasetIamPolicyConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly policyData: string;
}
export declare class HealthcareDatasetIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareDatasetIamPolicyConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
