import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareDicomStoreIamPolicyConfig extends TerraformMetaArguments {
    readonly dicomStoreId: string;
    readonly policyData: string;
}
export declare class HealthcareDicomStoreIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareDicomStoreIamPolicyConfig);
    private _dicomStoreId;
    get dicomStoreId(): string;
    set dicomStoreId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
