import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareFhirStoreIamPolicyConfig extends TerraformMetaArguments {
    readonly fhirStoreId: string;
    readonly policyData: string;
}
export declare class HealthcareFhirStoreIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareFhirStoreIamPolicyConfig);
    get etag(): string;
    private _fhirStoreId;
    get fhirStoreId(): string;
    set fhirStoreId(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
