import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface HealthcareHl7V2StoreIamPolicyConfig extends TerraformMetaArguments {
    readonly hl7V2StoreId: string;
    readonly policyData: string;
}
export declare class HealthcareHl7V2StoreIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: HealthcareHl7V2StoreIamPolicyConfig);
    get etag(): string;
    private _hl7V2StoreId;
    get hl7V2StoreId(): string;
    set hl7V2StoreId(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
