import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapTunnelInstanceIamMemberConfig extends TerraformMetaArguments {
    readonly instance: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly zone?: string;
    /** condition block */
    readonly condition?: IapTunnelInstanceIamMemberCondition[];
}
export interface IapTunnelInstanceIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapTunnelInstanceIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapTunnelInstanceIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    private _condition?;
    get condition(): IapTunnelInstanceIamMemberCondition[] | undefined;
    set condition(value: IapTunnelInstanceIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
