import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapWebBackendServiceIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly webBackendService: string;
    /** condition block */
    readonly condition?: IapWebBackendServiceIamBindingCondition[];
}
export interface IapWebBackendServiceIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapWebBackendServiceIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapWebBackendServiceIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _webBackendService;
    get webBackendService(): string;
    set webBackendService(value: string);
    private _condition?;
    get condition(): IapWebBackendServiceIamBindingCondition[] | undefined;
    set condition(value: IapWebBackendServiceIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
