import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapWebBackendServiceIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project?: string;
    readonly webBackendService: string;
}
export declare class IapWebBackendServiceIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapWebBackendServiceIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _webBackendService;
    get webBackendService(): string;
    set webBackendService(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
