import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapWebTypeAppEngineIamBindingConfig extends TerraformMetaArguments {
    readonly appId: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: IapWebTypeAppEngineIamBindingCondition[];
}
export interface IapWebTypeAppEngineIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapWebTypeAppEngineIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapWebTypeAppEngineIamBindingConfig);
    private _appId;
    get appId(): string;
    set appId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): IapWebTypeAppEngineIamBindingCondition[] | undefined;
    set condition(value: IapWebTypeAppEngineIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
