import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapWebTypeComputeIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: IapWebTypeComputeIamBindingCondition[];
}
export interface IapWebTypeComputeIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapWebTypeComputeIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapWebTypeComputeIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): IapWebTypeComputeIamBindingCondition[] | undefined;
    set condition(value: IapWebTypeComputeIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
