import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ProjectIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project: string;
}
export declare class ProjectIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ProjectIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project;
    get project(): string;
    set project(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
