import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface RuntimeconfigConfigIamMemberConfig extends TerraformMetaArguments {
    readonly config: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: RuntimeconfigConfigIamMemberCondition[];
}
export interface RuntimeconfigConfigIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class RuntimeconfigConfigIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: RuntimeconfigConfigIamMemberConfig);
    private _config;
    get config(): string;
    set config(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): RuntimeconfigConfigIamMemberCondition[] | undefined;
    set condition(value: RuntimeconfigConfigIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
