import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SecretManagerSecretIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project?: string;
    readonly secretId: string;
}
export declare class SecretManagerSecretIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: SecretManagerSecretIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _secretId;
    get secretId(): string;
    set secretId(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
