import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ServiceAccountIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly serviceAccountId: string;
}
export declare class ServiceAccountIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ServiceAccountIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _serviceAccountId;
    get serviceAccountId(): string;
    set serviceAccountId(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
