import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SourcerepoRepositoryIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly repository: string;
    readonly role: string;
    /** condition block */
    readonly condition?: SourcerepoRepositoryIamBindingCondition[];
}
export interface SourcerepoRepositoryIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class SourcerepoRepositoryIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: SourcerepoRepositoryIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _repository;
    get repository(): string;
    set repository(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): SourcerepoRepositoryIamBindingCondition[] | undefined;
    set condition(value: SourcerepoRepositoryIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
