import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SourcerepoRepositoryIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly repository: string;
    readonly role: string;
    /** condition block */
    readonly condition?: SourcerepoRepositoryIamMemberCondition[];
}
export interface SourcerepoRepositoryIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class SourcerepoRepositoryIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: SourcerepoRepositoryIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _repository;
    get repository(): string;
    set repository(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): SourcerepoRepositoryIamMemberCondition[] | undefined;
    set condition(value: SourcerepoRepositoryIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
