import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SpannerDatabaseIamPolicyConfig extends TerraformMetaArguments {
    readonly database: string;
    readonly instance: string;
    readonly policyData: string;
    readonly project?: string;
}
export declare class SpannerDatabaseIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: SpannerDatabaseIamPolicyConfig);
    private _database;
    get database(): string;
    set database(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
