import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface StorageBucketIamPolicyConfig extends TerraformMetaArguments {
    readonly bucket: string;
    readonly policyData: string;
}
export declare class StorageBucketIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: StorageBucketIamPolicyConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
