import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface StorageDefaultObjectAclConfig extends TerraformMetaArguments {
    readonly bucket: string;
    readonly roleEntity?: string[];
}
export declare class StorageDefaultObjectAcl extends TerraformResource {
    constructor(scope: Construct, id: string, config: StorageDefaultObjectAclConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _roleEntity?;
    get roleEntity(): string[] | undefined;
    set roleEntity(value: string[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
