import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface StorageObjectAclConfig extends TerraformMetaArguments {
    readonly bucket: string;
    readonly object: string;
    readonly predefinedAcl?: string;
    readonly roleEntity?: string[];
}
export declare class StorageObjectAcl extends TerraformResource {
    constructor(scope: Construct, id: string, config: StorageObjectAclConfig);
    private _bucket;
    get bucket(): string;
    set bucket(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _object;
    get object(): string;
    set object(value: string);
    private _predefinedAcl?;
    get predefinedAcl(): string | undefined;
    set predefinedAcl(value: string | undefined);
    private _roleEntity?;
    get roleEntity(): string[] | undefined;
    set roleEntity(value: string[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
