import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BigqueryTableIamMemberConfig extends TerraformMetaArguments {
    readonly datasetId: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly tableId: string;
    /** condition block */
    readonly condition?: BigqueryTableIamMemberCondition[];
}
export interface BigqueryTableIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class BigqueryTableIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: BigqueryTableIamMemberConfig);
    private _datasetId;
    get datasetId(): string;
    set datasetId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _tableId;
    get tableId(): string;
    set tableId(value: string);
    private _condition?;
    get condition(): BigqueryTableIamMemberCondition[] | undefined;
    set condition(value: BigqueryTableIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
