import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface BinaryAuthorizationAttestorIamPolicyConfig extends TerraformMetaArguments {
    readonly attestor: string;
    readonly policyData: string;
    readonly project?: string;
}
export declare class BinaryAuthorizationAttestorIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: BinaryAuthorizationAttestorIamPolicyConfig);
    private _attestor;
    get attestor(): string;
    set attestor(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
