import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CloudRunServiceIamPolicyConfig extends TerraformMetaArguments {
    readonly location?: string;
    readonly policyData: string;
    readonly project?: string;
    readonly service: string;
}
export declare class CloudRunServiceIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: CloudRunServiceIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _location?;
    get location(): string | undefined;
    set location(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _service;
    get service(): string;
    set service(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
