import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface ComputeDiskIamPolicyConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly policyData: string;
    readonly project?: string;
    readonly zone?: string;
}
export declare class ComputeDiskIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: ComputeDiskIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
