import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleActiveFolderConfig extends TerraformMetaArguments {
    readonly displayName: string;
    readonly parent: string;
}
export declare class DataGoogleActiveFolder extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleActiveFolderConfig);
    private _displayName;
    get displayName(): string;
    set displayName(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _parent;
    get parent(): string;
    set parent(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
