import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleComposerImageVersionsConfig extends TerraformMetaArguments {
    readonly project?: string;
    readonly region?: string;
}
export declare class DataGoogleComposerImageVersionsImageVersions extends ComplexComputedList {
    get imageVersionId(): string;
    get supportedPythonVersions(): string[];
}
export declare class DataGoogleComposerImageVersions extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleComposerImageVersionsConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    imageVersions(index: string): DataGoogleComposerImageVersionsImageVersions;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
