import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleContainerRegistryImageConfig extends TerraformMetaArguments {
    readonly digest?: string;
    readonly name: string;
    readonly project?: string;
    readonly region?: string;
    readonly tag?: string;
}
export declare class DataGoogleContainerRegistryImage extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleContainerRegistryImageConfig);
    private _digest?;
    get digest(): string | undefined;
    set digest(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get imageUrl(): string;
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _region?;
    get region(): string | undefined;
    set region(value: string | undefined);
    private _tag?;
    get tag(): string | undefined;
    set tag(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
