import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleDnsManagedZoneConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly project?: string;
}
export declare class DataGoogleDnsManagedZone extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleDnsManagedZoneConfig);
    get description(): string;
    get dnsName(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    get nameServers(): string[];
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get visibility(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
