import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleFolderConfig extends TerraformMetaArguments {
    readonly folder: string;
    readonly lookupOrganization?: boolean;
}
export declare class DataGoogleFolder extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleFolderConfig);
    get createTime(): string;
    get displayName(): string;
    private _folder;
    get folder(): string;
    set folder(value: string);
    get folderId(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get lifecycleState(): string;
    private _lookupOrganization?;
    get lookupOrganization(): boolean | undefined;
    set lookupOrganization(value: boolean | undefined);
    get name(): string;
    get organization(): string;
    get parent(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
