import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleGameServicesGameServerDeploymentRolloutConfig extends TerraformMetaArguments {
    /** The deployment to rollout the new config to. Only 1 rollout must be associated with each deployment. */
    readonly deploymentId: string;
}
export declare class DataGoogleGameServicesGameServerDeploymentRolloutGameServerConfigOverridesRealmsSelector extends ComplexComputedList {
    get realms(): string[];
}
export declare class DataGoogleGameServicesGameServerDeploymentRolloutGameServerConfigOverrides extends ComplexComputedList {
    get configVersion(): string;
    get realmsSelector(): any;
}
export declare class DataGoogleGameServicesGameServerDeploymentRollout extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleGameServicesGameServerDeploymentRolloutConfig);
    get defaultGameServerConfig(): string;
    private _deploymentId;
    get deploymentId(): string;
    set deploymentId(value: string);
    gameServerConfigOverrides(index: string): DataGoogleGameServicesGameServerDeploymentRolloutGameServerConfigOverrides;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    get project(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
