import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataGoogleIamTestablePermissionsConfig extends TerraformMetaArguments {
    readonly customSupportLevel?: string;
    readonly fullResourceName: string;
    readonly stages?: string[];
}
export declare class DataGoogleIamTestablePermissionsPermissions extends ComplexComputedList {
    get apiDisabled(): boolean;
    get customSupportLevel(): string;
    get name(): string;
    get stage(): string;
    get title(): string;
}
export declare class DataGoogleIamTestablePermissions extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleIamTestablePermissionsConfig);
    private _customSupportLevel?;
    get customSupportLevel(): string | undefined;
    set customSupportLevel(value: string | undefined);
    private _fullResourceName;
    get fullResourceName(): string;
    set fullResourceName(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    permissions(index: string): DataGoogleIamTestablePermissionsPermissions;
    private _stages?;
    get stages(): string[] | undefined;
    set stages(value: string[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
