import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleKmsSecretCiphertextConfig extends TerraformMetaArguments {
    readonly cryptoKey: string;
    readonly plaintext: string;
}
export declare class DataGoogleKmsSecretCiphertext extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleKmsSecretCiphertextConfig);
    get ciphertext(): string;
    private _cryptoKey;
    get cryptoKey(): string;
    set cryptoKey(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _plaintext;
    get plaintext(): string;
    set plaintext(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
