import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleSecretManagerSecretVersionConfig extends TerraformMetaArguments {
    readonly project?: string;
    readonly secret: string;
    readonly version?: string;
}
export declare class DataGoogleSecretManagerSecretVersion extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleSecretManagerSecretVersionConfig);
    get createTime(): string;
    get destroyTime(): string;
    get enabled(): boolean;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _secret;
    get secret(): string;
    set secret(value: string);
    get secretData(): string;
    private _version?;
    get version(): string | undefined;
    set version(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
