import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleServiceAccountAccessTokenConfig extends TerraformMetaArguments {
    readonly delegates?: string[];
    readonly lifetime?: string;
    readonly scopes: string[];
    readonly targetServiceAccount: string;
}
export declare class DataGoogleServiceAccountAccessToken extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleServiceAccountAccessTokenConfig);
    get accessToken(): string;
    private _delegates?;
    get delegates(): string[] | undefined;
    set delegates(value: string[] | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _lifetime?;
    get lifetime(): string | undefined;
    set lifetime(value: string | undefined);
    private _scopes;
    get scopes(): string[];
    set scopes(value: string[]);
    private _targetServiceAccount;
    get targetServiceAccount(): string;
    set targetServiceAccount(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
