import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleServiceAccountKeyConfig extends TerraformMetaArguments {
    readonly name: string;
    readonly project?: string;
    readonly publicKeyType?: string;
}
export declare class DataGoogleServiceAccountKey extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleServiceAccountKeyConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get keyAlgorithm(): string;
    private _name;
    get name(): string;
    set name(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get publicKey(): string;
    private _publicKeyType?;
    get publicKeyType(): string | undefined;
    set publicKeyType(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
