import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleServiceAccountConfig extends TerraformMetaArguments {
    readonly accountId: string;
    readonly project?: string;
}
export declare class DataGoogleServiceAccount extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataGoogleServiceAccountConfig);
    private _accountId;
    get accountId(): string;
    set accountId(value: string);
    get displayName(): string;
    get email(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get name(): string;
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get uniqueId(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
