import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleStorageProjectServiceAccountConfig extends TerraformMetaArguments {
    readonly project?: string;
    readonly userProject?: string;
}
export declare class DataGoogleStorageProjectServiceAccount extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleStorageProjectServiceAccountConfig);
    get emailAddress(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _userProject?;
    get userProject(): string | undefined;
    set userProject(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
