import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataGoogleTpuTensorflowVersionsConfig extends TerraformMetaArguments {
    readonly project?: string;
    readonly zone?: string;
}
export declare class DataGoogleTpuTensorflowVersions extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataGoogleTpuTensorflowVersionsConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    get versions(): string[];
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
