import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface EndpointsServiceIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly role: string;
    readonly serviceName: string;
    /** condition block */
    readonly condition?: EndpointsServiceIamMemberCondition[];
}
export interface EndpointsServiceIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class EndpointsServiceIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: EndpointsServiceIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _role;
    get role(): string;
    set role(value: string);
    private _serviceName;
    get serviceName(): string;
    set serviceName(value: string);
    private _condition?;
    get condition(): EndpointsServiceIamMemberCondition[] | undefined;
    set condition(value: EndpointsServiceIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
