import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface FolderIamPolicyConfig extends TerraformMetaArguments {
    readonly folder: string;
    readonly policyData: string;
}
export declare class FolderIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: FolderIamPolicyConfig);
    get etag(): string;
    private _folder;
    get folder(): string;
    set folder(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
