import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapAppEngineServiceIamBindingConfig extends TerraformMetaArguments {
    readonly appId: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly service: string;
    /** condition block */
    readonly condition?: IapAppEngineServiceIamBindingCondition[];
}
export interface IapAppEngineServiceIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapAppEngineServiceIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapAppEngineServiceIamBindingConfig);
    private _appId;
    get appId(): string;
    set appId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _service;
    get service(): string;
    set service(value: string);
    private _condition?;
    get condition(): IapAppEngineServiceIamBindingCondition[] | undefined;
    set condition(value: IapAppEngineServiceIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
