import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapAppEngineServiceIamMemberConfig extends TerraformMetaArguments {
    readonly appId: string;
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly service: string;
    /** condition block */
    readonly condition?: IapAppEngineServiceIamMemberCondition[];
}
export interface IapAppEngineServiceIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapAppEngineServiceIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapAppEngineServiceIamMemberConfig);
    private _appId;
    get appId(): string;
    set appId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _service;
    get service(): string;
    set service(value: string);
    private _condition?;
    get condition(): IapAppEngineServiceIamMemberCondition[] | undefined;
    set condition(value: IapAppEngineServiceIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
