import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapAppEngineVersionIamPolicyConfig extends TerraformMetaArguments {
    readonly appId: string;
    readonly policyData: string;
    readonly project?: string;
    readonly service: string;
    readonly versionId: string;
}
export declare class IapAppEngineVersionIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapAppEngineVersionIamPolicyConfig);
    private _appId;
    get appId(): string;
    set appId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _service;
    get service(): string;
    set service(value: string);
    private _versionId;
    get versionId(): string;
    set versionId(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
