import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapTunnelInstanceIamPolicyConfig extends TerraformMetaArguments {
    readonly instance: string;
    readonly policyData: string;
    readonly project?: string;
    readonly zone?: string;
}
export declare class IapTunnelInstanceIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapTunnelInstanceIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _instance;
    get instance(): string;
    set instance(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _zone?;
    get zone(): string | undefined;
    set zone(value: string | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
