import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface IapWebBackendServiceIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly webBackendService: string;
    /** condition block */
    readonly condition?: IapWebBackendServiceIamMemberCondition[];
}
export interface IapWebBackendServiceIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class IapWebBackendServiceIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: IapWebBackendServiceIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _webBackendService;
    get webBackendService(): string;
    set webBackendService(value: string);
    private _condition?;
    get condition(): IapWebBackendServiceIamMemberCondition[] | undefined;
    set condition(value: IapWebBackendServiceIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
