import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsCryptoKeyIamPolicyConfig extends TerraformMetaArguments {
    readonly cryptoKeyId: string;
    readonly policyData: string;
}
export declare class KmsCryptoKeyIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsCryptoKeyIamPolicyConfig);
    private _cryptoKeyId;
    get cryptoKeyId(): string;
    set cryptoKeyId(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
