import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface KmsKeyRingIamPolicyConfig extends TerraformMetaArguments {
    readonly keyRingId: string;
    readonly policyData: string;
}
export declare class KmsKeyRingIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: KmsKeyRingIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _keyRingId;
    get keyRingId(): string;
    set keyRingId(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
