import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface OrganizationIamPolicyConfig extends TerraformMetaArguments {
    /** The numeric ID of the organization in which you want to manage the audit logging config. */
    readonly orgId: string;
    readonly policyData: string;
}
export declare class OrganizationIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: OrganizationIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _orgId;
    get orgId(): string;
    set orgId(value: string);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
