import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PubsubSubscriptionIamBindingConfig extends TerraformMetaArguments {
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    readonly subscription: string;
    /** condition block */
    readonly condition?: PubsubSubscriptionIamBindingCondition[];
}
export interface PubsubSubscriptionIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class PubsubSubscriptionIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: PubsubSubscriptionIamBindingConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _subscription;
    get subscription(): string;
    set subscription(value: string);
    private _condition?;
    get condition(): PubsubSubscriptionIamBindingCondition[] | undefined;
    set condition(value: PubsubSubscriptionIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
