import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PubsubSubscriptionIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly subscription: string;
    /** condition block */
    readonly condition?: PubsubSubscriptionIamMemberCondition[];
}
export interface PubsubSubscriptionIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class PubsubSubscriptionIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: PubsubSubscriptionIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _subscription;
    get subscription(): string;
    set subscription(value: string);
    private _condition?;
    get condition(): PubsubSubscriptionIamMemberCondition[] | undefined;
    set condition(value: PubsubSubscriptionIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
