import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PubsubSubscriptionIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project?: string;
    readonly subscription: string;
}
export declare class PubsubSubscriptionIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: PubsubSubscriptionIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _subscription;
    get subscription(): string;
    set subscription(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
