import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PubsubTopicIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly topic: string;
    /** condition block */
    readonly condition?: PubsubTopicIamMemberCondition[];
}
export interface PubsubTopicIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class PubsubTopicIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: PubsubTopicIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _topic;
    get topic(): string;
    set topic(value: string);
    private _condition?;
    get condition(): PubsubTopicIamMemberCondition[] | undefined;
    set condition(value: PubsubTopicIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
