import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PubsubTopicIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project?: string;
    readonly topic: string;
}
export declare class PubsubTopicIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: PubsubTopicIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _topic;
    get topic(): string;
    set topic(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
