import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface RuntimeconfigConfigIamBindingConfig extends TerraformMetaArguments {
    readonly config: string;
    readonly members: string[];
    readonly project?: string;
    readonly role: string;
    /** condition block */
    readonly condition?: RuntimeconfigConfigIamBindingCondition[];
}
export interface RuntimeconfigConfigIamBindingCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class RuntimeconfigConfigIamBinding extends TerraformResource {
    constructor(scope: Construct, id: string, config: RuntimeconfigConfigIamBindingConfig);
    private _config;
    get config(): string;
    set config(value: string);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _members;
    get members(): string[];
    set members(value: string[]);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _condition?;
    get condition(): RuntimeconfigConfigIamBindingCondition[] | undefined;
    set condition(value: RuntimeconfigConfigIamBindingCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
