import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SecretManagerSecretIamMemberConfig extends TerraformMetaArguments {
    readonly member: string;
    readonly project?: string;
    readonly role: string;
    readonly secretId: string;
    /** condition block */
    readonly condition?: SecretManagerSecretIamMemberCondition[];
}
export interface SecretManagerSecretIamMemberCondition {
    readonly description?: string;
    readonly expression: string;
    readonly title: string;
}
export declare class SecretManagerSecretIamMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: SecretManagerSecretIamMemberConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _member;
    get member(): string;
    set member(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _role;
    get role(): string;
    set role(value: string);
    private _secretId;
    get secretId(): string;
    set secretId(value: string);
    private _condition?;
    get condition(): SecretManagerSecretIamMemberCondition[] | undefined;
    set condition(value: SecretManagerSecretIamMemberCondition[] | undefined);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
