import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface SourcerepoRepositoryIamPolicyConfig extends TerraformMetaArguments {
    readonly policyData: string;
    readonly project?: string;
    readonly repository: string;
}
export declare class SourcerepoRepositoryIamPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: SourcerepoRepositoryIamPolicyConfig);
    get etag(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _policyData;
    get policyData(): string;
    set policyData(value: string);
    private _project?;
    get project(): string | undefined;
    set project(value: string | undefined);
    private _repository;
    get repository(): string;
    set repository(value: string);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
